Gen2 - Please Read

Last Updated:

  1. ElasticNinja

    ElasticNinja Well-Known Member

    Gen2 refers to the new partition layout used on ZTE Blades with Froyo
    It increases the Recovery and Boot partitions to more reasonable sizes, and crucially, updates the Radio firmware giving HSDPA, stronger reception, and 850MHz support

    However this breaks compatibility with Gen1 ROMs
    There are two Gen2 ROMs; Swedish Spring (Android 2.2, based on Swedish Froyo update), and CyanogenMod7 (Android 2.3.4, Community built Android distribution)

    If your Blade came with Android 2.1, its probably Gen1 - in doubt? Ask Mr Pigfish (Android app)

    Updating or not? See Below

  2. ElasticNinja

    ElasticNinja Well-Known Member

    squitten likes this.
  3. ElasticNinja

    ElasticNinja Well-Known Member

    I don't want to update to Gen2
    - What does this mean for me?

    It means you wont have the latest Radio, and a partition layout designed for Android 2.1

    It also means that you can't use CyanogenMod7 (Post Nightly 40) officially , however by patching it with Kallt_Kaffe's Converter you can (do not file bug reports if you use this)
  4. squitten

    squitten Well-Known Member

    I've tried it & it works a treat!!

    I've installed Swedish Spring RLS 5 ROM on my phone for now & it said my phone was GEN 2 on CWM when installing. I was gonna switch to CM7 but people are still having problems with the latest nightly's!!

    Thanx shadowninty for sharing!! :)
    ElasticNinja likes this.
  5. ElasticNinja

    ElasticNinja Well-Known Member

    no problem!
    I really regret not waiting as I could've kept TPT
  6. squitten

    squitten Well-Known Member

    I guess you did it using windows then??

    BTW there's a new stable version of CM7 been released for GEN 2 phones today!!
  7. ElasticNinja

    ElasticNinja Well-Known Member


    Yeah read it on Phandroid :D
    GPS fixed apparently
  8. squitten

    squitten Well-Known Member

    I got it on my phone right now, all seems good so far :) but I can't comment on GPS don't use it!!
  9. Lupine_smurf

    Lupine_smurf Member

    If i'm a Gen 1 with Sweedish 2.2 If I go to Gen 2 do I then need to install Sweedish Spring as well??
  10. ElasticNinja

    ElasticNinja Well-Known Member

    Swedish Spring or CyanogenMod 7
  11. ElasticNinja

    ElasticNinja Well-Known Member

    Thanks to hedgepigdaniel and wbaw I now have TPT enabled on my phone :)

Share This Page